<?php
namespace App\HttpModels;

use App\Models\Lobby;

class ClientLobbyModel {
    public $uid;
    public $name;
    public $pros = [];

    public function __construct(Lobby $lobby)
    {
        $this->uid = $lobby->uid;
        $this->name = $lobby->name;
        foreach ($lobby->pros as $pro) {
            $this->pros[] = new LobbyProModel($pro);
        }
    }
}